package org.example.mybatisplus.model.auto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;


/**
 * 企业风险信息校验对象 cms_ent_risk_info_ckt
 *
 * @author 各类开发联系微信：qiubbstop     fuce
 * @date 2025-03-09 23:36:35
 */
@TableName("cms_ent_risk_info_ckt")
public class CmsEntRiskInfoCkt  {

	private static final long serialVersionUID = 1L;

	/** 主键 */
	@TableId(type = IdType.ASSIGN_ID)
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "主键")
	private Long cktId;

	/** 关联ID */
	@ApiModelProperty(value = "关联ID")
	private Long relId;

	/** 审核状态 */
	@ApiModelProperty(value = "审核状态")
	private String cktState;
	/** 审核时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "审核时间")
	private Date checkTime;
	/** 信息刷新时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "信息刷新时间")
	private Date refreshTime;

	/** 审核报告地址 */
	@ApiModelProperty(value = "审核报告地址")
	private String reportUrl;

	/** 审核签名 */
	@ApiModelProperty(value = "审核签名")
	private String signedBy;

	/** 建议 */
	@ApiModelProperty(value = "建议")
	private String advice;

	/** 综述 */
	@ApiModelProperty(value = "综述")
	private String review;

	/** 准入标准ID */
	@ApiModelProperty(value = "准入标准ID")
	private Long standardId;

	/** 备注 */
	@ApiModelProperty(value = "备注")
	private String remarks;

	/** 删除标记 */
	@ApiModelProperty(value = "删除标记")
	private String delFlag;

	/** 所属租户 */
	@ApiModelProperty(value = "所属租户")
	private Long tenantId;

	/** 创建人 */
	@ApiModelProperty(value = "创建人")
	private String createdBy;

	/** 修改人 */
	@ApiModelProperty(value = "修改人")
	private String modifiedBy;
	/** 创建时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createdTime;
	/** 修改时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date modifiedTime;
	
	@JsonProperty("cktId")
	public Long getCktId() {
		return cktId;
	}

	public void setCktId(Long cktId) {
		this.cktId =  cktId;
	}
	@JsonProperty("relId")
	public Long getRelId() {
		return relId;
	}

	public void setRelId(Long relId) {
		this.relId =  relId;
	}
	@JsonProperty("cktState")
	public String getCktState() {
		return cktState;
	}

	public void setCktState(String cktState) {
		this.cktState =  cktState;
	}
	@JsonProperty("checkTime")
	public Date getCheckTime() {
		return checkTime;
	}

	public void setCheckTime(Date checkTime) {
		this.checkTime =  checkTime;
	}
	@JsonProperty("refreshTime")
	public Date getRefreshTime() {
		return refreshTime;
	}

	public void setRefreshTime(Date refreshTime) {
		this.refreshTime =  refreshTime;
	}
	@JsonProperty("reportUrl")
	public String getReportUrl() {
		return reportUrl;
	}

	public void setReportUrl(String reportUrl) {
		this.reportUrl =  reportUrl;
	}
	@JsonProperty("signedBy")
	public String getSignedBy() {
		return signedBy;
	}

	public void setSignedBy(String signedBy) {
		this.signedBy =  signedBy;
	}
	@JsonProperty("advice")
	public String getAdvice() {
		return advice;
	}

	public void setAdvice(String advice) {
		this.advice =  advice;
	}
	@JsonProperty("review")
	public String getReview() {
		return review;
	}

	public void setReview(String review) {
		this.review =  review;
	}
	@JsonProperty("standardId")
	public Long getStandardId() {
		return standardId;
	}

	public void setStandardId(Long standardId) {
		this.standardId =  standardId;
	}
	@JsonProperty("remarks")
	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks =  remarks;
	}
	@JsonProperty("delFlag")
	public String getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(String delFlag) {
		this.delFlag =  delFlag;
	}
	@JsonProperty("tenantId")
	public Long getTenantId() {
		return tenantId;
	}

	public void setTenantId(Long tenantId) {
		this.tenantId =  tenantId;
	}
	@JsonProperty("createdBy")
	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy =  createdBy;
	}
	@JsonProperty("modifiedBy")
	public String getModifiedBy() {
		return modifiedBy;
	}

	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy =  modifiedBy;
	}
	@JsonProperty("createdTime")
	public Date getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(Date createdTime) {
		this.createdTime =  createdTime;
	}
	@JsonProperty("modifiedTime")
	public Date getModifiedTime() {
		return modifiedTime;
	}

	public void setModifiedTime(Date modifiedTime) {
		this.modifiedTime =  modifiedTime;
	}

																																		
	public CmsEntRiskInfoCkt(Long cktId,Long relId,String cktState,Date checkTime,Date refreshTime,String reportUrl,String signedBy,String advice,String review,Long standardId,String remarks,String delFlag,Long tenantId,String createdBy,String modifiedBy,Date createdTime,Date modifiedTime) {
		this.cktId = cktId;
		this.relId = relId;
		this.cktState = cktState;
		this.checkTime = checkTime;
		this.refreshTime = refreshTime;
		this.reportUrl = reportUrl;
		this.signedBy = signedBy;
		this.advice = advice;
		this.review = review;
		this.standardId = standardId;
		this.remarks = remarks;
		this.delFlag = delFlag;
		this.tenantId = tenantId;
		this.createdBy = createdBy;
		this.modifiedBy = modifiedBy;
		this.createdTime = createdTime;
		this.modifiedTime = modifiedTime;
	}

	public CmsEntRiskInfoCkt() {
	    super();
	}


}